<?php
/**
 * 五十九秒网络购物cms 友情链接实体类
 * ============================================================================
 * 版权所有 2009-2012 五十九秒网络科技有限公司，并保留所有权利。
 * 网站地址: http://www.59miao.com；
 * ----------------------------------------------------------------------------
 * 这不是一个自由软件！您只能在不用于商业目的的前提下对程序代码进行修改和
 * 使用；不允许对程序代码以任何形式任何目的的再发布。
 * ============================================================================
 * $Author: longzhang
 * 
*/
if (!defined('IN_59MIAO'))
{
	exit('Access Defined');
}
class LinkModel extends Model {
	public function __construct() {
		parent::__construct();
		$this->_fields = array('id','webname','weburl','site_logo','user','type','state','sort','date');
		$this->_tables = array(DB_FREFIX.'link');
		$this->_check = new LinkCheck();
	
		list(
				$this->_R['id'],							
				$this->_R['webname']
		) = $this->getRequest()->getParam(array(
				isset($_GET['id']) ? $_GET['id'] : null,				
				isset($_POST['webname']) ? $_POST['webname'] : null
		));
	}
	//获取所有友情链接
	public function findAll() {
		return parent::select(array('id','webname','weburl','site_logo','user','type','state','sort','date'), 
											array('limit'=>$this->_limit, 'order'=>'sort ASC'));
	}	
	//获取所有的图片链接
	public function findAllImg(){
		$_where=array("type='2'");
		return parent::select(array('id','webname','weburl','site_logo','user','type','state','sort','date'), 
											array('where'=>$_where,'order'=>'sort ASC'));
	}
	
	
	//获取所有的文字链接
	public function findAllText(){
		$_where=array("type='1'");
		return parent::select(array('id','webname','weburl','user','type','state','sort','date'), 
											array('where'=>$_where,'order'=>'sort ASC'));
	}
	
	public function findOne() {			
			$_where = array("id='{$this->_R['id']}'");
			if (!$this->_check->oneCheck($this, $_where)) $this->_check->error();
			return parent::select(array('id','webname','weburl','site_logo','user','type','state','sort','date'),
												array('where'=>$_where, 'limit'=>'1'));
	}
	public function total() {
		return parent::total();
	}
	public function add() {
		$_where = array("webname='{$this->_R['webname']}'");
		if (!$this->_check->addCheck($this, $_where)) $this->_check->error();
		$_addData = $this->getRequest()->add($this->_fields);	
		return parent::add($_addData);
	}
	
	public function delete() {
		$_where = array("id='{$this->_R['id']}'");
		return parent::delete($_where);
	}

	
	public function update() {	
		
		$_where=array("id='{$this->_R['id']}'");
		if (!$this->_check->oneCheck($this, $_where)) $this->_check->error();
		if (!$this->_check->updateCheck($this)) $this->_check->error();
		$_updateData = $this->getRequest()->update($this->_fields);
		return parent::update($_where, $_updateData);
		
	}
	public function sort() {
		foreach ($_POST['sort'] as $_key=>$_value) {
			if (!is_numeric($_value)) continue;
			$_setField = array('sort'=>$_value);
			$_where = array("id='$_key'");
			parent::update($_where, $_setField);
		}
		return true;
	}	
}
?>